Ok, I have been trying this morning and I think I solved some issues:

First:
export LD_LIBRARY_PATH=/usr/lib:/usr/lib64/samba4/lib
export
PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/lib64/samba4/lib64/pkgconfig/:/usr/share/pkgconfig

Then:
pkg-config --cflags libmapi

This gives me:
[code]
-DHAVE_IMMEDIATE_STRUCTURES=1 -D_GNU_SOURCE=1
-Wl,-rpath,/usr/lib64/samba4/lib64 -I/usr/lib64/samba4/include 
[/code]

However I have never user pkg-config so I have no idea if above is good OR
bad. Do I need to run ./configure now or. I know my questions might sound
dumb but I really appreciate your help.

Regards,

Bas



Milan Crha wrote:
> 
> On Mon, 2011-05-16 at 10:35 -0700, tudstudent wrote:
>> export LD_LIBRARY_PATH=$PREFIX/lib:$PREFIX/samba/lib
>> export
>> PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig:$PREFIX/samba/lib/pkgconfig:
>> $PREFIX/share/pkgconfig
>> 
>> then:
>> 
>> pkg-config --cflags libmapi
>> 
>> This delivers the next error:
>> 
>> Package talloc was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `talloc.pc'
>> to the PKG_CONFIG_PATH environment variable
>> Package 'talloc', required by 'MAPI', not found
>> 
>> This package is installed. 
> 
>       Hi,
> good, then you know where to look next. Solve this and it'll work for
> you. I cannot tell you anything more than the pkg-config does, the
> message is self-describing.
> 
> By the way, I thought it's obvious but it seems it wasn't, in those two
> exports at the beginning, you should replace $PREFIX with a prefix where
> your samba4 is installed, probably /usr if you do not compile it
> yourself. Also check the paths exist for you, or change them accordingly
> to your system/setup.
>       Bye,
>       Milan
> 
> _______________________________________________
> evolution-hackers mailing list
> evolution-hackers@gnome.org
> To change your list options or unsubscribe, visit ...
> http://mail.gnome.org/mailman/listinfo/evolution-hackers
> 
> 

-- 
View this message in context: 
http://old.nabble.com/Compile-Evolution-Mapi-3.1.1--%3E-Error-on-libmapi.h-tp31626288p31635495.html
Sent from the Gnome - Evolution - Dev mailing list archive at Nabble.com.

_______________________________________________
evolution-hackers mailing list
evolution-hackers@gnome.org
To change your list options or unsubscribe, visit ...
http://mail.gnome.org/mailman/listinfo/evolution-hackers

Reply via email to